<template>
    <div class="net-book-value">
        <div class="side-title">账面净值</div>
        <div class="statistics-content">
            <div class="item">
                <div class="value">{{ bookValueData.totalBookValue}}</div>
                <div class="label">账面净值总计(万元)</div>
            </div>
            <div class="item">
                <div class="value">{{ bookValueData.businessBookValue}}</div>
                <div class="label">经营性资产(万元)</div>
            </div>
            <div class="item">
                <div class="value">{{ bookValueData.landBookValue}}</div>
                <div class="label">土地(万元)</div>
            </div>
            <div class="item">
                <div class="value">{{ bookValueData.fixedBookValue}}</div>
                <div class="label">固定资产(万元)</div>
            </div>
            <div class="item">
                <div class="value">{{ bookValueData.publicBookValue}}</div>
                <div class="label">公益性资产(万元)</div>
            </div>
            <div class="item">
                <div class="value">{{ bookValueData.stockBookValue}}</div>
                <div class="label">股权资产(万元)</div>
            </div>
            <div class="item">
                <div class="value">{{ bookValueData.loanBookValue}}</div>
                <div class="label">债权资产(万元)</div>
            </div>
        </div>
    </div>
</template>

<script>
import api from '@/api/homePage.js'
export default {
    name: 'NetBookValue', // 账面净值
    data() {
        return {
            bookValueData:{}
        }
    },
    created() {
        this.getBookValue()
    },
    methods: {
        //获取账面净值
        getBookValue(){
            api.bookValue({},res=>{
                if(res.state){
                    this.bookValueData=res.value
                }
            })
        }
    },
}
</script>

<style scoped lang="scss">
.net-book-value {
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    display: flex;

    .side-title {
        box-sizing: border-box;
        width: 50px;
        height: 100%;
        background: #fff;
        font-size: 18px;
        font-weight: 700;
        color: #1150a0;
        padding: 10px 16px;
        border-radius: 16px 0 0 16px;
    }
    .statistics-content {
        flex: 1;
        box-sizing: border-box;
        padding: 24px 0;
        display: flex;
        background: linear-gradient(180deg, #cce5ff 0%, #eef8ff 100%);
        border-radius: 0 16px 16px 0;
        border: 1px solid;
        border-image: linear-gradient(
                180deg,
                rgba(238.00000101327896, 248.0000004172325, 255, 1),
                rgba(255, 255, 255, 1)
            )
            1 1;
        .item {
            flex: 1;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            .value {
                font-size: 26px;
                font-weight: 700;
                color: #0f2a4d;
            }
            .label {
                font-size: 16px;
                font-weight: 700;
                color: #0f2a4d;
                margin: 5px 0 0 0;
            }
            &:nth-child(1) {
                border-right: 1px solid #fff;
            }
        }
    }
}
</style>
